package com.example.user.controller;

import com.example.user.annotation.Log;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project: user
 * @Author: sanbao
 * @Create: 2022-11-23 17:07
 * @Desc： 班级控制器
 **/
@RestController
@RequestMapping("/class")
public class ClassController {
    @Log    //【AOP】5、应用到目标，通过添加注解使用
    @GetMapping("/sayHello")
    public String sayHello(String name){
        return "你好，"+name+"。";
    }
}