package com.example.user.config;

import com.example.user.entity.UserEntity;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * @Project: user
 * @Author: sanbao
 * @Create: 2021-11-23 14:15
 * @Desc： 用户配置，用于提供用户数据
 **/
@Configuration
public class UserConfig {
    @Bean
    public List<UserEntity> getUsers(){
        List<UserEntity> userEntities = new ArrayList<>();

        UserEntity userEntity = new UserEntity();
        userEntity.setId(1);
        userEntity.setUsername("admin");
        userEntity.setPassword("111111");
        userEntity.setName("管理员");
        userEntity.setSex("male");
        userEntity.setDescription("用于管理系统的一个用户。");
        userEntities.add(userEntity);

        userEntity = new UserEntity();
        userEntity.setId(2);
        userEntity.setUsername("staff");
        userEntity.setPassword("222222");
        userEntity.setName("普通员工");
        userEntity.setSex("female");
        userEntity.setDescription("一个普通用户。");
        userEntities.add(userEntity);

        return userEntities;
    }
}