package com.example.user.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Project: user
 * @Author: sanbao
 * @Create: 2021-11-23 14:09
 * @Desc： 用户信息
 **/
@Schema(title = "用户信息",description = "描述用户详细信息")
@Data
public class UserEntity {
    @Schema(title = "ID")
    private Integer id;
    @Schema(title = "用户名")
    private String username;
    @Schema(title = "密码")
    private String password;
    @Schema(title = "姓名")
    private String name;
    @Schema(title = "性别")
    private String sex;
    @Schema(title = "描述")
    private String description;
}